MRWStruct Struct Reference

Internal: a struct used to read some field. More...

`#include <MRWParser.hxx>`

## Public Member Functions

| MRWStruct ()
| constructor More...
int | numValues () const
| returns the number of values More...
bool | isBasic () const
| returns true if this corresponds to a simple container More...
long | value (int i) const
| returns the ith value (or 0 if it does not exists ) More...

## Public Attributes

long | m_filePos
| the file position where the field description begin More...
MWAWEntry | m_pos
| the file data position (for type=0 data ) More...
int | m_type
| the data type More...
std::vector< long > | m_data
| the data block More...

## Friends

std::ostream & | operator<< (std::ostream &o, MRWStruct const &dt)
| operator<< More...

## Detailed Description

Internal: a struct used to read some field.

## Constructor & Destructor Documentation

MRWStruct::MRWStruct | ( |  | ) |

inline

constructor

## Member Function Documentation

bool MRWStruct::isBasic | ( |  | ) | const

inline

returns true if this corresponds to a simple container

Referenced by MRWParser::readDocInfo(), MRWText::readFonts(), MRWGraph::readPostscript(), MRWText::readRulers(), MRWText::readTextStruct(), MRWGraph::readToken(), MRWParser::readZone13(), MRWParser::readZoneb(), MRWParser::readZonec(), MRWParser::readZoneDim(), and MRWParser::readZoneHeader().

int MRWStruct::numValues | ( |  | ) | const

inline

returns the number of values

Referenced by MRWText::readFontNames().

long MRWStruct::value | ( | int | i | ) | const

returns the ith value (or 0 if it does not exists )

Referenced by MRWParser::readDocInfo(), MRWText::readFontNames(), MRWText::readFonts(), MRWGraph::readPostscript(), MRWText::readRulers(), MRWText::readTextStruct(), MRWGraph::readToken(), MRWParser::readZone13(), MRWParser::readZoneb(), MRWParser::readZonec(), MRWParser::readZoneDim(), and MRWParser::readZoneHeader().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MRWStruct const & | dt
| ) |  |

friend

operator<<

## Member Data Documentation

std::vector<long> MRWStruct::m_data

the data block

Referenced by MRWParser::decodeZone(), isBasic(), numValues(), operator<<(), MRWParser::readSeparator(), and value().

long MRWStruct::m_filePos

the file position where the field description begin

Referenced by MRWParser::decodeZone(), and MRWParser::readZone().

MWAWEntry MRWStruct::m_pos

the file data position (for type=0 data )

Referenced by MRWParser::decodeZone(), operator<<(), MRWText::readFontNames(), MRWGraph::readPostscript(), MRWText::readRulers(), MRWText::readStyleNames(), MRWGraph::readToken(), MRWGraph::readTokenBlock0(), MRWText::readZone(), and MRWParser::readZone13().

int MRWStruct::m_type

the data type

Referenced by MRWParser::decodeZone(), isBasic(), operator<<(), MRWText::readFontNames(), MRWGraph::readPostscript(), MRWText::readRulers(), MRWText::readStyleNames(), MRWGraph::readToken(), MRWGraph::readTokenBlock0(), MRWText::readZone(), and MRWParser::readZone13().

The documentation for this struct was generated from the following files:

- MRWParser.hxx
- MRWParser.cxx